Skip to main content
GET
/
app.rocksky.actor.getActorPlaylists
Get playlists for an actor
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.actor.getActorPlaylists \
  --header 'Authorization: Bearer <token>'
{
  "playlists": [
    {
      "id": "<string>",
      "title": "<string>",
      "uri": "<string>",
      "curatorDid": "<string>",
      "curatorHandle": "<string>",
      "curatorName": "<string>",
      "curatorAvatarUrl": "<string>",
      "description": "<string>",
      "coverImageUrl": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "trackCount": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

did
string<at-identifier>
required

The DID or handle of the actor

limit
integer

The maximum number of albums to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0

Response

OK

playlists
object[]